## AwnOverlayThrobber AwnOverlayThrobber — Throbber overlay. |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libawn/libawn.h>

                        AwnOverlayThrobber;
    GtkWidget*          awn_overlay_throbber_new            (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----AwnOverlay
                   +----AwnOverlayThrobber

## Properties

      "scale"                    gdouble               : Read / Write / Construct
      "timeout"                  guint                 : Read / Write / Construct

## Description

Throbber overlay used with AwnOverlaidIcon.

## Details

### AwnOverlayThrobber

    typedef struct _AwnOverlayThrobber AwnOverlayThrobber;

Throbber overlay used with AwnOverlaidIcon.

### awn_overlay_throbber_new ()

    GtkWidget*          awn_overlay_throbber_new            (void);

Creates a new instance of AwnOverlayThrobber.

Returns : | an instance of AwnOverlayThrobber.

## Property Details

### The `"scale"` property

      "scale"                    gdouble               : Read / Write / Construct

Determines the size of the AwnOverlayThrobber scaled against the dimensions of the AwnIcon. A scale of 0.5 would result in an overlay that covers 25% of the Icon.

Allowed values: [0.01,1]

Default value: 0.6

### The `"timeout"` property

      "timeout"                  guint                 : Read / Write / Construct

The time in milliseconds between throbber updates.

Allowed values: [50,10000]

Default value: 100

## See Also

#AwnOverlaidIcon, AwnOverlay, AwnOverlayIcon, AwnOverlayText, AwnOverlayPixbuf, AwnOverlayPixbufFile